Skip to main content
GET
Retrieve GitOps logs

Authorizations

Authorization
string
header
required

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Query Parameters

file
string

File name the within repository

repository
string

Repository name as defined in your Git provider

sha
string

Commit SHA

errorOnly
boolean

Filter by error only

operation
enum<string>

Filter by operation

Available options:
CREATED,
UPDATED,
ARCHIVED,
NO_CHANGE
page
integer<int32>
default:0
required

Page number to return, 0-indexed. Default 0.

pageSize
integer<int32>
default:250
required

Number of results to return per page, between 1 and 1000. Default 250.

fileName
string
scorecardTag
string
required

Unique tag for the Scorecard.

workflowTag
string
tag
string
required

The entity tag (x-cortex-tag) that identifies the entity.

Response

Retrieve GitOps logs based on given criteria

logs
object[]
required
page
integer<int32>
required

Current page number, 0-indexed

total
integer<int32>
required

Total number of results

totalPages
integer<int32>
required

Total number of pages

Last modified on September 29, 2026